org.eclipse.jgit.diff

## Enum DiffConfig.RenameDetectionType

- java.lang.Object
- - java.lang.Enum<DiffConfig.RenameDetectionType>
  - - org.eclipse.jgit.diff.DiffConfig.RenameDetectionType

All Implemented Interfaces:
  Serializable, Comparable<DiffConfig.RenameDetectionType>

Enclosing class:
  DiffConfig

    public static enum DiffConfig.RenameDetectionType
    extends Enum<DiffConfig.RenameDetectionType>

Permissible values for `diff.renames`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COPY` Copies should be detected too.
`FALSE` Rename detection is disabled.
`TRUE` Rename detection is enabled.

### Method Summary

All Methods Static Methods Concrete Methods
`static DiffConfig.RenameDetectionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiffConfig.RenameDetectionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FALSE

    public static final DiffConfig.RenameDetectionType FALSE

Rename detection is disabled.

#### TRUE

    public static final DiffConfig.RenameDetectionType TRUE

Rename detection is enabled.

#### COPY

    public static final DiffConfig.RenameDetectionType COPY

Copies should be detected too.

### Method Detail

#### values

    public static DiffConfig.RenameDetectionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiffConfig.RenameDetectionType c : DiffConfig.RenameDetectionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiffConfig.RenameDetectionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null